function love.load()
  World = love.physics.newWorld(0,500)
  World:setCallbacks(beginContact, endContact, preSolve, postSolve)

  success = love.window.setMode( 900, 600 )

  sprites = {}
  sprites.Dashboard = love.graphics.newImage('sprites/Dashboard+.png')
  sprites.Arrow = love.graphics.newImage('sprites/arrow.png')
  sprites.Arrowdown = love.graphics.newImage('sprites/arrowdown.png')
  sprites.Player = love.graphics.newImage('sprites/player.png')
  sprites.home = love.graphics.newImage('sprites/home.png')
  sprites.screen1 = love.graphics.newImage('sprites/screen1.png')

  gameState = 1

  require('player')

  sti = require("Simple-Tiled-Implementation-master/sti")



  platforms = {}

  tile2 = sti("tile2.lua")

  for i, obj in pairs(tile2.layers["Platforms"].objects) do
    spawnPlatform(obj.x, obj.y, obj.width, obj.height)
  end

end


function love.update(dt)

  World:update(dt)

  playerUpdate(dt)

  tile2:update(dt)
end

function love.draw()
  if gameState == 1 then
    love.graphics.draw(sprites.home, 0, 0)
  end

  if gameState == 2 then
    tile2:drawLayer(tile2.layers["Tile Layer 1"])

    love.graphics.draw(sprites.Dashboard, 0, 0)
    love.graphics.draw(sprites.Arrow, 190, player.body:getY() - 40)
    love.graphics.draw(sprites.Arrowdown, player.body:getX() - 40, 0)
    love.graphics.draw(sprites.Player, player.body:getX(), player.body:getY(), nil, nil, nil, sprites.Player:getWidth()/2, sprites.Player:getHeight()/2)
  end

  if gameState == 3 then
    love.graphics.draw(sprites.screen1, 0, 0)
  end

end

function love.keypressed(key, scancode, isrepeat)
  if key == "up" and player.grounded and gameState == 2 == true then
    player.body:applyLinearImpulse(0, -3600)
  end
end

function spawnPlatform(x, y, width, height)
  platform = {}
  platform.body = love.physics.newBody(World, x, y, "static")
  platform.shape = love.physics.newRectangleShape(width/2, height/2, width, height)
  platform.fixture = love.physics.newFixture(platform.body, platform.shape)
  platform.width = width
  platform.height = height

  table.insert(platforms, platform)
end

function beginContact(a, b, coll)
  player.grounded = true
end

function endContact(a, b, coll)
  player.grounded = false
end

function love.mousepressed(x, y, button, isTouch)
  if button == 1 and gameState == 1  and y < 510 and y > 419 and x < 320 and x > 99 then
    gameState = 2
  end
end

function love.mousepressed(x, y, button, isTouch)
  if button == 1 and gameState == 1  and y < 510 and y > 419 and x < 740 and x > 559 then
    gameState = 3
  end
end
